Package com.sap.ai.sdk.core.model

# Class MetaAiApi

java.lang.Object
com.sap.ai.sdk.core.model.MetaAiApi

public class MetaAiApi extends Object
There are (currently) the following types of execution engines 1) complete runtimes that offer executions and deployments, 2) runtimes that do only batch inference and therefore don't support deployments 3) runtimes that allow deployments, but with predefined models and therefore don't need executions 4) runtimes that have fixed endpoints and therefore only need listing deployments

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `MetaAiApi.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaAiApi()`
  Default constructor for MetaAiApi.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaAiApi`
  `capabilities(MetaAiApiCapabilities capabilities)`
  Set the capabilities of this `MetaAiApi` instance and return the same instance.
  `static MetaAiApi.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `MetaAiApi` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `MetaAiApiCapabilities`
  `getCapabilities()`
  Get capabilities
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaAiApi`.
  `MetaAiApiLimits`
  `getLimits()`
  Get limits
  `String`
  `getVersion()`
  Get version
  `int`
  `hashCode()`
  `MetaAiApi`
  `limits(MetaAiApiLimits limits)`
  Set the limits of this `MetaAiApi` instance and return the same instance.
  `void`
  `setCapabilities(MetaAiApiCapabilities capabilities)`
  Set the capabilities of this `MetaAiApi` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaAiApi` instance.
  `void`
  `setLimits(MetaAiApiLimits limits)`
  Set the limits of this `MetaAiApi` instance.
  `void`
  `setVersion(String version)`
  Set the version of this `MetaAiApi` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaAiApi` instance including unrecognized properties.
  `String`
  `toString()`
  `MetaAiApi`
  `version(String version)`
  Set the version of this `MetaAiApi` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaAiApi

    protected MetaAiApi()
    Default constructor for MetaAiApi.

- ## Method Details

  - ### version

    @Nonnull public MetaAiApi version(@Nonnull String version)
    Set the version of this `MetaAiApi` instance and return the same instance.
    Parameters:
      `version` - The version of this `MetaAiApi`
    Returns:
      The same instance of this `MetaAiApi` class

  - ### getVersion

    @Nonnull public String getVersion()
    Get version
    Returns:
      version The version of this `MetaAiApi` instance.

  - ### setVersion

    public void setVersion(@Nonnull String version)
    Set the version of this `MetaAiApi` instance.
    Parameters:
      `version` - The version of this `MetaAiApi`

  - ### capabilities

    @Nonnull public MetaAiApi capabilities(@Nullable MetaAiApiCapabilities capabilities)
    Set the capabilities of this `MetaAiApi` instance and return the same instance.
    Parameters:
      `capabilities` - The capabilities of this `MetaAiApi`
    Returns:
      The same instance of this `MetaAiApi` class

  - ### getCapabilities

    @Nonnull public MetaAiApiCapabilities getCapabilities()
    Get capabilities
    Returns:
      capabilities The capabilities of this `MetaAiApi` instance.

  - ### setCapabilities

    public void setCapabilities(@Nullable MetaAiApiCapabilities capabilities)
    Set the capabilities of this `MetaAiApi` instance.
    Parameters:
      `capabilities` - The capabilities of this `MetaAiApi`

  - ### limits

    @Nonnull public MetaAiApi limits(@Nullable MetaAiApiLimits limits)
    Set the limits of this `MetaAiApi` instance and return the same instance.
    Parameters:
      `limits` - The limits of this `MetaAiApi`
    Returns:
      The same instance of this `MetaAiApi` class

  - ### getLimits

    @Nonnull public MetaAiApiLimits getLimits()
    Get limits
    Returns:
      limits The limits of this `MetaAiApi` instance.

  - ### setLimits

    public void setLimits(@Nullable MetaAiApiLimits limits)
    Set the limits of this `MetaAiApi` instance.
    Parameters:
      `limits` - The limits of this `MetaAiApi`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaAiApi`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaAiApi` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaAiApi` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaAiApi` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaAiApi.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `MetaAiApi` instance with all required arguments.